=== debian/changelog ===
linux-restricted-modules-aws (6.2.0-1004.4+2) mantic; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - debian/dkms-versions -- update from kernel-versions (main/master)

  * Miscellaneous Ubuntu changes
    - debian/tracking-bug -- update from master
    - debian/scripts/misc/git-ubuntu-log -- update from master

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 04 Jul 2023 11:10:23 +0200

linux-restricted-modules-aws (6.2.0-1004.4+1) mantic; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] resync update-dkms-versions helper
    - debian/dkms-versions -- update from kernel-versions (main/master)

  * Miscellaneous Ubuntu changes
    - [Packaging] move to mantic
    - debian/tracking-bug -- update from master
    - debian/scripts/misc/git-ubuntu-log -- update from master

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 23 Jun 2023 11:55:59 +0200

linux-restricted-modules-aws (6.2.0-1004.4) mantic; urgency=medium

  * Master version: 6.2.0-1004.4

  * Miscellaneous Ubuntu changes
    - debian/tracking-bug -- update from master

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 14 Apr 2023 16:01:44 +0200
