## linux-restricted-modules-aws 6.2.0-1010.10

=== debian/ancillary/linux-restricted-generate/debian/changelog ===
linux-restricted-generate-aws (6.2.0-1010.10) lunar; urgency=medium

  * Master version: 6.2.0-1010.10

  * Packaging resync (LP: #1786013)
    - debian/dkms-versions -- update from kernel-versions (main/s2023.07.10)

  * standardise ancillary naming to simplify backporting (LP: #2019299)
    - [Packaging] convert to v7.8 autogen form

  * Miscellaneous Ubuntu changes
    - debian/tracking-bug -- update from master

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 16 Aug 2023 09:50:35 -0600

linux-restricted-generate-aws (6.2.0-1009.9) lunar; urgency=medium

  * Master version: 6.2.0-1009.9

  * Miscellaneous Ubuntu changes
    - debian/tracking-bug -- update from master

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 18 Jul 2023 08:35:59 -0600

linux-restricted-generate-aws (6.2.0-1008.8) lunar; urgency=medium

  * Master version: 6.2.0-1008.8

  * Packaging resync (LP: #1786013)
    - debian/dkms-versions -- update from kernel-versions (main/s2023.06.12)

  * standardise ancillary naming to simplify backporting (LP: #2019299)
    - [Packaging] convert to v7.7 autogen form

  * Miscellaneous Ubuntu changes
    - debian/tracking-bug -- update from master

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 13 Jul 2023 07:26:52 -0600

linux-restricted-generate-aws (6.2.0-1007.7) lunar; urgency=medium

  * Master version: 6.2.0-1007.7

  * Packaging resync (LP: #1786013)
    - [Packaging] resync update-dkms-versions helper

  * Miscellaneous Ubuntu changes
    - debian/tracking-bug -- update from master

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 28 Jun 2023 15:54:40 +0200

linux-restricted-generate-aws (6.2.0-1006.6) lunar; urgency=medium

  * Master version: 6.2.0-1006.6

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] resync update-dkms-versions helper
    - debian/dkms-versions -- update from kernel-versions (security/s2023.05.15)

  * standardise ancillary naming to simplify backporting (LP: #2019299)
    - [Packaging] convert to v7.4 autogen form

  * Miscellaneous Ubuntu changes
    - debian/tracking-bug -- update from master

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 20 Jun 2023 09:33:21 -0600
