=== debian/changelog ===
linux-restricted-modules-aws (6.2.0-1011.11) lunar; urgency=medium

  * Master version: 6.2.0-1011.11

  * Miscellaneous Ubuntu changes
    - debian/tracking-bug -- update from master

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 18 Aug 2023 12:49:25 -0600
